Bug 214744 - [exp-run] modernize the dependency code in bsd.qt.mk
Summary: [exp-run] modernize the dependency code in bsd.qt.mk
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Ports Framework (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Tobias C. Berner
URL: https://reviews.freebsd.org/D8602
Keywords:
Depends on:
Blocks:
 
Reported: 2016-11-22 15:32 UTC by Tobias C. Berner
Modified: 2016-11-25 11:27 UTC (History)
4 users (show)

See Also:


Attachments
update dependency code (11.06 KB, patch)
2016-11-22 15:32 UTC, Tobias C. Berner
no flags Details | Diff
add-on patch to bsd.qt.mk (768 bytes, patch)
2016-11-22 16:33 UTC, Mark Linimon
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Tobias C. Berner freebsd_committer 2016-11-22 15:32:00 UTC
Created attachment 177284 [details]
update dependency code

Hi

kde@  would like to ask for an exp-run to update the dependency generation code in bsd.qt.mk to the one from kde.mk.

The diff is attached, and can also be found here:
http://people.freebsd.org/~tcberner/patches/bsd.qt.mk.dependency_code.v1

mfg Tobias
Comment 1 Mark Linimon freebsd_committer freebsd_triage 2016-11-22 16:33:31 UTC
Created attachment 177287 [details]
add-on patch to bsd.qt.mk
Comment 2 Antoine Brodin freebsd_committer 2016-11-24 20:17:23 UTC
Exp-run looks fine.
Comment 3 commit-hook freebsd_committer 2016-11-25 11:26:32 UTC
A commit references this bug:

Author: tcberner
Date: Fri Nov 25 11:26:18 UTC 2016
New revision: 427106
URL: https://svnweb.freebsd.org/changeset/ports/427106

Log:
  Update the dependency code in bsd.qt.mk to the one from kde.mk

  The dependency code from kde.mk can add LIB_DEPENDS if the sense-file is a
  library. Import this into bsd.qt.mk

  PR:		214744
  Reviewed by:	rakuco, mat
  Approved by:	mat (mentor), rakuco (mentor)
  Exp-run by:	antoine
  Differential Revision:	https://reviews.freebsd.org/D8602

Changes:
  head/Mk/bsd.qt.mk
Comment 4 Tobias C. Berner freebsd_committer 2016-11-25 11:27:00 UTC
Thanks for the exp-run.

Commited.